Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create customer dedup key

POST/workspaces/{organizationId}/customers/dedup-key
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
addressstring | null
phonestring | null
domainstring | null
Responses
200

Normalized SMB match key and any matching existing customer

matchKeystringrequired
normalizedNamestringrequired
normalizedAddressstringrequired
phoneE164stringrequired
normalizedDomainstringrequired
matchedCustomerIdstring | nullrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/customers/dedup-key' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "address": "string",
  "phone": "string",
  "domain": "string"
}'
Response
{
  "matchKey": "string",
  "normalizedName": "string",
  "normalizedAddress": "string",
  "phoneE164": "string",
  "normalizedDomain": "string",
  "matchedCustomerId": "string"
}

Was this page helpful?